<?php
/* Autor...:  */
/* Esquema.: ALM_VehiculoSucursal.xml */
/* Generado: 2020-08-18 04:21:25 */

/* Metodos de acceso a los campos de la tabla ALM_VehiculoSucursal */
abstract class BaseALM_VehiculoSucursalBN
{
    /* Campos de la tabla */
    private $i_IdVehiculoSucursal;    // IdVehiculoSucursal: ( no definido )
    private $i_IdSucursal;    // IdSucursal: ( no definido )
    private $s_Marca;    // Marca: ( no definido )
    private $s_Placa;    // Placa: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )

    /* Establece el valor del campo IdVehiculoSucursal */
    public function setIdVehiculoSucursal( $i_IdVehiculoSucursal )
    {
        $this->i_IdVehiculoSucursal = $i_IdVehiculoSucursal;
    }

    /* Obtiene el valor del campo IdVehiculoSucursal */
    public function getIdVehiculoSucursal()
    {
        return $this->i_IdVehiculoSucursal;
    }

    /* Establece el valor del campo IdSucursal */
    public function setIdSucursal( $i_IdSucursal )
    {
        $this->i_IdSucursal = $i_IdSucursal;
    }

    /* Obtiene el valor del campo IdSucursal */
    public function getIdSucursal()
    {
        return $this->i_IdSucursal;
    }

    /* Establece el valor del campo Marca */
    public function setMarca( $s_Marca )
    {
        $this->s_Marca = $s_Marca;
    }

    /* Obtiene el valor del campo Marca */
    public function getMarca()
    {
        return $this->s_Marca;
    }

    /* Establece el valor del campo Placa */
    public function setPlaca( $s_Placa )
    {
        $this->s_Placa = $s_Placa;
    }

    /* Obtiene el valor del campo Placa */
    public function getPlaca()
    {
        return $this->s_Placa;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdVehiculoSucursal' => $this->getIdVehiculoSucursal(),
            'IdSucursal' => $this->getIdSucursal(),
            'Marca' => $this->getMarca(),
            'Placa' => $this->getPlaca(),
            'Estado' => $this->getEstado(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto ALM_VehiculoSucursalBN desde un RecordSet */
    public static function retrieveByRs( $o_ALM_VehiculoSucursalRs )
    {
        $o_ALM_VehiculoSucursalBN = new ALM_VehiculoSucursalBN();
        $o_ALM_VehiculoSucursalBN->setIdVehiculoSucursal( ( integer ) $o_ALM_VehiculoSucursalRs[ "IdVehiculoSucursal" ] );
        $o_ALM_VehiculoSucursalBN->setIdSucursal( ( integer ) $o_ALM_VehiculoSucursalRs[ "IdSucursal" ] );
        $o_ALM_VehiculoSucursalBN->setMarca( $o_ALM_VehiculoSucursalRs[ "Marca" ] );
        $o_ALM_VehiculoSucursalBN->setPlaca( $o_ALM_VehiculoSucursalRs[ "Placa" ] );
        $o_ALM_VehiculoSucursalBN->setEstado( $o_ALM_VehiculoSucursalRs[ "Estado" ] );
        $o_ALM_VehiculoSucursalBN->setUsuarioCreacion( $o_ALM_VehiculoSucursalRs[ "UsuarioCreacion" ] );
        $o_ALM_VehiculoSucursalBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_ALM_VehiculoSucursalRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_ALM_VehiculoSucursalBN->setUsuarioModificacion( $o_ALM_VehiculoSucursalRs[ "UsuarioModificacion" ] );
        $o_ALM_VehiculoSucursalBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_ALM_VehiculoSucursalRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        return $o_ALM_VehiculoSucursalBN;
    }
}
?>